#
# spec file for package python-semantic_version
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-semantic_version
Version:        2.8.4
Release:        bp155.2.12
Summary:        A library implementing the 'SemVer' scheme
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/rbarrois/python-semanticversion
Source:         https://files.pythonhosted.org/packages/source/s/semantic_version/semantic_version-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This small python library provides a few tools to handle `SemVer`_ in Python.
It follows strictly the 2.0.0 version of the SemVer scheme.

%prep
%setup -q -n semantic_version-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/*

%changelog
* Wed Mar 18 2020 pgajdos@suse.com
- version update to 2.8.4
  * `#89 <https://github.com/rbarrois/python-semanticversion/issues/89>`_:
    Properly coerce versions with leading zeroes in components (e.g.
    ``1.01.007``)
  - Add `Clause.prettyprint()` for debugging
  * `#86 <https://github.com/rbarrois/python-semanticversion/issues/86>`_:
    Fix handling of prerelease ranges within `NpmSpec`
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.8.2:
  * various major parsing fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Aug 22 2017 tbechtold@suse.com
- update to 2.6.0:
  * Add support for Django up to 1.10.
  * Remove support for Django<1.7
  * Properly handle `^0.X.Y` in a NPM-compatible way
  * According to SemVer 2.0.0, build numbers aren't ordered.
  * Remove specs of the ``Spec('<1.1.3+')`` form
  * Comparing ``Version('0.1.0')`` to ``Version('0.1.0+bcd')`` has new
    rules
  * :func:`semantic_version.compare` returns ``NotImplemented`` when its
    parameters differ only by build metadata
  * ``Spec('<=1.3.0')`` now matches ``Version('1.3.0+abde24fe883')``
  * Fix handling of bumping pre-release versions, thanks to @minchinweb.
  * Add support for NPM-style ``^1.2.3`` and ``~2.3.4`` specs, thanks to @skwashd
  * Fix tests for Django 1.7+, thanks to @mhrivnak.
- convert to singlespec
* Wed Jul 22 2015 dmueller@suse.com
- fix license
* Tue Apr 28 2015 tbechtold@suse.com
- Initial packaging
